MKSO(8)

NAME
mkso - maintain manual page source links

SYNOPSIS
mkso [ -dhv ] [ -Hdir ] datafile

DESCRIPTION
Manual pages will often document more than one program, subroutine, or topic. When this occurs, it is normal to create "links" for each documented program or subroutine to the original manual page. For example, the getcwd(3) manual page also documents getwd(3). Assuming both of these functions are described in the file man3/getcwd.3, then the file man3/getwd.3 would consist of the single line
	.so man3/getcwd.3
This would result in the same manual page being shown for both functions, without duplicating the manual page.

While these source link files may be maintained by hand, doing so is tedious for large distributions, such as the GNO base distribution.

mkso was written for the GNO base distribution to automate the creation and deletion of these source links. By default, mkso will create the links relative to the current directory as specified in datafile. datafile must have the following format:
	# Any blank line or line that has a "#" in the first
	# column is a comment and is ignored.
	#
	# Pathnames must be delimited by "/", not ":".
	#
	# There are two columns here, delimited by spaces or tabs.
	# The first is the "real" manual page (no check is done
	# to verify that it does in fact exist).  The second column
	# is the source link that will be created.
	#
	man2/alarm.2	man2/alarm10.2
	man5/utmp.5	man5/wtmp.5
	#
	# This next one cannot be created on a ProDOS volume; see
	# description of the -H flag.
	#
	man2/getpgrp.2	man2/_getpgrp.2

mkso does not create missing directories; the current directory should already contain the subdirectories man1, man2, man3, man4, man5, man6, man7, and man8.

OPTIONS

-d  Delete source links rather than creating them. Source links will only be deleted if they contain a "magic number" which is inserted during link creation.

-h  Print usage information and exit.

-H dir
    If the source link does not follow ProDOS filename conventions, then the link will be created in the directory given by dir rather than the current directory. dir is presumably a directory on an HFS volume. The link itself will reference the full- rather than partial-pathname of the original file, so that man(1) will be able to locate the original page.

    As with the default behavior, mkso does not create subdirectories, so ensure that dir already contains the same list of subdirectories as the current directory.

-v  Verbose operation.

VERSION
This manual page documents mkso version 1.0.

AUTHOR
Devin Reade, 1997.

SEE ALSO
man(1), nroff(1)